<?php
class CLMSelect extends AppColumna {
	
	protected $_valoresMultiples = array();
	protected $_atributos = array();
	
	/**
	 * Construye la columna con un select
	 * 
	 * @param string $name nombre del atributo name
	 * @param string $cabecera nombre de columna en la tabla
	 */
	public function __construct($name, $valor, $cabecera) {
		parent::__construct($name, $valor, $cabecera);
	}
	
	public function setValores($valores){
		$this->_valoresMultiples = $valores;
	}
	
	public function getValores($valores){
		return $this->_valoresMultiples;
	}
	
	public function addAtributo($nombre, $valor){
		$this->_atributos[$nombre] = $valor;
	}
	
	public function reemplaza_datosCampo($datos){
		
		$datosConvertidos = AppResultadoListado::convertirFilaParaListado($datos);
		$indiceValor = $this->getValor();
		$valor = str_replace(array_keys($datosConvertidos), array_values($datosConvertidos), $indiceValor);
		$valores = $this->getValores($valores);
		
		$html = '<select name="'.$this->name.'">';
		foreach ($valores as $indice => $ele) {
			
			$html .= '<option '.($indice==$valor?'selected="selected"':'').' value="'.$indice.'">'.$ele.'</option>';
		}

		$html .='</select>';
		
		return $html;
		
	}
	
}